function [G,id] = mbca_generate_random_A(N, density)

% function mbca_generate_random_A generates a random adj matrix. 
% 
% Input: 
%    N: number of nodes
%    density: ratio of non-zero elements in A
%    
% Output: 
%    G: lower triangular adjacency matrix. For a full matrix, G = G+G'; 
%    id: indices of the non-zero elements.
% 
% Code written by Won Hwa Kim, won.kim@uta.edu
% Updated: May 29, 2018

G = sprand(N, N, density); % generate adjacency matrix at random
G = tril(G, -1); % take the lower trianglular    

% ids for nonzero elements in the adj matrix (lower triangular)
[id(:,1), id(:,2)] = find(G);